using System.Collections.Generic;
using System.Linq;
using Sirenix.OdinInspector;
using VOID.Generic.Objects.Item;

namespace VOID.Generic.Objects.Usable
{
    public class UsableObject : ItemObject
    {
        [Title("=== UsableObject properties ===")]
        public UsableObjectData usableData;
        public UsableObjectEvents usableEvents;

        protected override List<ObjectComponent> GetObjectComponents()
        {
            return base.GetObjectComponents()
                .Union(new List<ObjectComponent>
                {
                    usableData,
                    usableEvents
                })
                .ToList();
        }
    }
}
